<?xml version="1.0"?>
<!-- 
  XSL for generating menu.xml from xbook XML.
  
  $Id: book2menu.xsl,v 1.8 2003/11/19 15:12:09 just Exp $
-->

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">


  <xsl:output
	method="xml"    
  	indent="yes"
  	encoding="iso-8859-1"
  	doctype-system = "nl/justobjects/xbook/rsc/dtd/xmenu.dtd"
  	/>
  

<!-- Process top --> 	
<xsl:template match="/xbook">
             
	  <xmenu>
	  <xsl:attribute name="bgColor"><xsl:value-of select="@bgColor"/></xsl:attribute>
	  <xsl:attribute name="fgColor"><xsl:value-of select="@fgColor"/></xsl:attribute>
	  <xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
	  <xsl:attribute name="default"><xsl:value-of select="@default"/></xsl:attribute>
  	<xsl:if test="@titleImage">
       <xsl:attribute name="titleImage"><xsl:value-of select="@titleImage"/></xsl:attribute>
	</xsl:if>

      <xsl:apply-templates/> 

      </xmenu>
</xsl:template>

	<!-- Process folder  -->
	<xsl:template match="folder">
	  <folder>
		<xsl:attribute name="label"><xsl:value-of select="@label"/></xsl:attribute>
		<xsl:attribute name="desc"><xsl:value-of select="@desc"/></xsl:attribute>
		  <xsl:apply-templates/>

	   </folder>
	</xsl:template>

	<!-- Process document  -->
	<xsl:template match="document">
	  <doc>
		<xsl:attribute name="label"><xsl:value-of select="@label"/></xsl:attribute>
		<xsl:attribute name="url"><xsl:value-of select="@url"/></xsl:attribute>
		<xsl:attribute name="desc"><xsl:value-of select="@desc"/></xsl:attribute>
		<xsl:attribute name="target"><xsl:value-of select="@target"/></xsl:attribute>
	   </doc>
	</xsl:template>

	<!-- Process external document -->
	<xsl:template match="external">
	  <doc>
		<xsl:attribute name="label"><xsl:value-of select="@label"/></xsl:attribute>
		<xsl:attribute name="url"><xsl:value-of select="@url"/></xsl:attribute>
		<xsl:attribute name="desc"><xsl:value-of select="@desc"/></xsl:attribute>
		<xsl:attribute name="target"><xsl:value-of select="@target"/></xsl:attribute>
	   </doc>
	</xsl:template>


	<!-- Process resources -->
	<xsl:template match="resources">
	  <doc>
		<xsl:attribute name="label">resources</xsl:attribute>
		<xsl:attribute name="url"><xsl:value-of select="@dest"/></xsl:attribute>
		<xsl:attribute name="desc">resources</xsl:attribute>
	   </doc>
	</xsl:template>

</xsl:stylesheet>

<!-- 
  History
  $Log: book2menu.xsl,v $
  Revision 1.8  2003/11/19 15:12:09  just
  many changes for invoking xbook in ant

  Revision 1.7  2003/01/06 10:27:22  just
  removed Arial fonts from default styles

  Revision 1.6  2002/07/09 23:17:32  just
  allow images to be used in top of menu frame

  Revision 1.5  2002/06/18 10:56:23  just
  added use of target frame attr for document element

  Revision 1.4  2002/04/28 12:06:42  just
  integration of xmenu into xbook

  Revision 1.3  2002/02/04 23:27:40  just
  mainly changes to find resources through CLASSPATH (no cpath:/ anymore)

  Revision 1.2  2001/12/11 16:27:07  just
  rule for dest replaced by copy of url attr

  Revision 1.1  2001/12/11 13:40:24  just
  rename

  Revision 1.1  2001/12/11 14:05:51  just
  new

  Revision 1.1  2000/12/07 16:02:39  just
  no message

  
-->
