package nl.justobjects.toolkit.awt;

// FramedPanel.java

import java.awt.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

// general purpose class to run Panels within a Frame window

public class PanelFrame extends Frame {
	private Panel thePanel;
	private boolean exitOnClose = false;

	public PanelFrame(String name, Panel panel, boolean exitOnClose) {
		super(name);
		this.exitOnClose = exitOnClose;
		thePanel = panel;
		addWindowListener(
				new WindowAdapter() {
					public void windowClosing(WindowEvent e) {
						exit((PanelFrame) e.getWindow());
					}
				}
		);

		add(thePanel);
		setVisible(true);
		pack();
	}

	public PanelFrame(String name, Panel panel) {
		this(name, panel, false);
	}

	public PanelFrame(Panel panel) {
		this("Unnamed", panel);
	}

	public void runPanel() {
		validate();
	}


	static public void exit(PanelFrame framedPanel) {
		framedPanel.dispose();
		if (framedPanel.exitOnClose)
			System.exit(0);
	}
}

