package nl.justobjects.toolkit.io;

/**
 * DirectByteArrayOutputStream allows to get directly at the
 * ByteArrayOutputStream.buf array, without copying the data
 * @author $Author: just $ - Just van den Broecke - Just Objects B.V. &copy;
 */
public class DByteArrayOutputStream extends java.io.ByteArrayOutputStream {
	public DByteArrayOutputStream() {
		super();
	}

	/**
	 * create a DirectByteArrayOutputStream pre-allocated to a given size.
	 * @param size the number of bytes to preallocate
	 */
	public DByteArrayOutputStream(int size) {
		super(size);
	}

	/**
	 * Returns the input data without copying it.
	 * @return the input data.
	 */
	public byte[] getBuf() {
		return buf;
	}
}

/*
 * $Log: DByteArrayOutputStream.java,v $
 * Revision 1.3  2003/01/06 00:23:48  just
 * moved devenv to linux
 *
 * Revision 1.2  2002/11/14 20:25:19  just
 * reformat of code only
 *
 * Revision 1.1  2000/09/07 14:47:01  kstroke
 * removed access chars in name
 *
 * Revision 1.2  2000/08/10 19:27:29  just
 * changes for comments only
 *
 *
 */

/*
   Copyright (C)2000 Just A. van den Broecke <just@justobjects.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
