package nl.justobjects.toolkit.sys;

/**
// This interface defines a callback for the Timer class
 * <p>
 * <b>Purpose</b><br>
 * Timer calls the tick method in the TimerCallback interface after
 * a fixed number of milliseconds (indicated by the
 * interval variable). It measures the amount of time spent
 * in the tick method and adjusts for it.
 * <p>
 * <b>Implementation</b><br>
 * <p>
 * <b>Examples</b><br>
 * To start up a timer with this class, create it with
 * a callback and the number of milliseconds in the interval
 * then call the start method:
 * <PRE>
 *
 *	Timer timer = new Timer(this, 2000);	// 2 second interval
 *	timer.start();
 *
 * </PRE>
 * <p>
 * <br>
 * $Source: /var/cvs/justobjects/toolkit/src/nl/justobjects/toolkit/sys/TimerCallback.java,v $<p>
 *
 * @version $Revision: 1.4 $
 * @author $Author: just $ - Just van den Broecke - Just Objects &copy;
 * @since $Date: 2003/01/06 00:23:49 $
 * @see Timer
 */
public interface TimerCallback {
	public void tick();
}
