/****************************************************************
 * Copyright (C)2000 - Just van den Broecke - See license below *
 ****************************************************************/

package nl.justobjects.xbook;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

/**
 * Jakarta Ant task to process an xbook file. 
 * <p>
 * <b>Purpose</b><br>
 * TBS.
 * <p>
 * <b>Implementation</b><br>
 * TBS.
 * <p>
 * <b>Examples</b><br>
 * See build.xml where the xbook documentation is built.
 * <p>
 * <br>
 * $Source: /var/cvs/justobjects/xbook/src/nl/justobjects/xbook/XBookAntTask.java,v $<p>
 *
 * @version $Revision: 1.4 $
 * @author $Author: just $ - Just van den Broecke - Just Objects &copy;
 * @since $Date: 2003/01/06 10:27:22 $
 * @see <package name.classname#method>
 */
public class XBookAntTask extends Task {
	private String book;
	private String dest;
	private boolean lite;

	/** Executes the XBook processing. */
	public void execute() throws BuildException {
		System.out.println("XBookAntTask: book=" + book + " dest=" + dest + " lite=" + lite);
		
		try  {
			// Let XBook do the work
			XBook.generate(book, dest, lite);
		} catch (Exception e)  {
			//e.printStackTrace();
			throw new BuildException("error in XBook.generate() " + e, e);
		}
	}

	/** The setter for the "book" attribute (book XML file). */
	public void setBook(String aBook) {
		book = aBook;
	}

	/** The setter for the "dest" attribute (destination dir). */
	public void setDest(String aDest) {
		dest = aDest;
	}

	/** The setter for the "lite" attribute (generate HTML iso DHTML menus). */
	public void setLite(boolean aLiteValue) {
		lite = aLiteValue;
	}

}



 /*
  * $Log: XBookAntTask.java,v $
  * Revision 1.4  2003/01/06 10:27:22  just
  * removed Arial fonts from default styles
  *
  * Revision 1.3  2002/07/04 14:09:23  just
  * mainly comments
  *
  * Revision 1.2  2001/12/17 23:52:15  just
  * lite option and copy of default file
  *
  * Revision 1.1  2001/12/13 23:12:39  just
  * new
  *
  *
  */
  
 /*
	Copyright (C)2000 Just A. van den Broecke <just@justobjects.nl>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/